package cn.com.ty.lift.ud.neety.protocol;

/**
 * 自定义IM协议，Instant Messaging Protocol即时通信协议
 *
 */
public enum IMP {
    /** 系统消息 */
    SYSTEM("SYSTEM"),
    LOOP("LOOP"),
    LOGIN("LOGIN"),
    /** 初始化房间指令 */
    INITROOM("INITROOM"),
    /** 登录初始化所有房间 */
    LOGINALL("LOGINALL"),
    /**  */
    WEBLOGINALL("WEBLOGINALL"),
    /** 登出指令 */
    LOGOUT("LOGOUT"),
    /** 聊天消息 */
    CHAT("CHAT"),
    /** 未读消息 */
    UNREAD("UNREAD"),
    /** 送鲜花 */
    FLOWER("FLOWER");

    private String name;

    public static boolean isIMP(String content) {
        return content.matches("^\\[(SYSTEM|INITROOM|LOGOUT|CHAT|UNREAD|FLOWER|WEBLOGINALL|LOGINALL)\\]");
    }

    IMP(String name) {
        this.name = name;
    }

    public String getName() {
        return this.name;
    }

    public String toString() {
        return this.name;
    }

}
